[SciPy-user] having problems with fortran compiler on Mac OS X 10.5.2

Kiana Toufighi kianatoufighi@hotmail....
Thu Sep 18 11:53:00 CDT 2008


Hi all.  

I am trying to install SciPy on my PowerMac with OS X 10.5.2 (Leopard) by following the instructions here http://www.scipy.org/Installing_SciPy/Mac_OS_X and I'm getting errors with respect to the fortran compiler. 

I  have personally installed the newest version of the fortran compiler v. 4.2.3 and I obviously have a C compiler. 
gcc --version: 
i686-apple-darwin9-gcc-4.0.1 (GCC) 4.0.1 (Apple Inc. build 5465)
Copyright (C) 2005 Free Software Foundation, Inc.

gfortran --version:
GNU Fortran (GCC) 4.2.3
Copyright (C) 2007 Free Software Foundation, Inc.

Now I've tried building scipy by the following commands and here are the errors I get. 

python setup.py build
Couldn't match compiler version for 'GNU Fortran (GCC) 4.2.3\nCopyright (C) 2007 Free Software Foundation, Inc.

python setup.py config_fc --fcompiler=gfortran build
error: don't know how to compile Fortran code on platform 'posix' with 'gfortran' compiler. Supported compilers are: compaq,none,absoft,intel,f,gnu,sun,nag,vast,ibm,gnu95,intelv,g95,intele,pg,lahey,compaqv,mips,hpux,intelev,intelem)

So then I try one of these listend supported compilers like gnu95 but it's not installed!!
I wish Apple would just include a fortran compiler with their dev tools!

Any help/advice is apprecaited. 

Thanks,
Kiana 

_________________________________________________________________

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://projects.scipy.org/pipermail/scipy-user/attachments/20080918/b464ccbd/attachment-0001.html 


More information about the SciPy-user mailing list